%define module  HTML-Template-Expr
%define version 0.04
%define release 4mdk
%define	pdir	HTML

Summary: 	%{module} module for perl
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source0: 	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/search?dist=%{module}
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	perl, perl-base, perl-HTML-Template >= 0, perl-Parse-RecDescent >= 0
BuildRequires:	perl-devel, perl-HTML-Template >= 0, perl-Test-Simple >= 0
BuildRequires:	perl-Parse-RecDescent >= 0

%description
%{module} This module provides an extension to HTML::Template which
allows expressions in the template syntax.  This is purely an addition
- all the normal HTML::Template options, syntax and behaviors will
still work.

%prep
%setup -q -n %{module}-%{version}

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%doc Changes MANIFEST README 
%{perl_vendorlib}/HTML/Template/*
%{_mandir}/*/*


%changelog
* Wed Sep 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.04-4mdk
- rebuild 

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.04-3mdk
- rebuild
- rm -rf $RPM_BUILD_ROOT in %%install, not %%build
- use %%makeinstall_std macro
- drop $RPM_OPT_FLAGS, noarch..

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.04-2mdk
- rebuild

* Fri Oct 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.04-1mdk
- from Peter Chen <petechen@netilla.com> :
	- 0.04
